Subject: Re: [PATCH 22/40] Windows: Implement asynchronous functions as threads.

From: Paul Franz <[email-masked]>
Date: Thu, 28 Feb 2008 20:46:47 -0500

True there are the legal issues. And it is not known if it would help on 
other platforms. My may concern is Windows because if git could be made 
available without some of msysGit's requirements. It would definitely 
make it more palletable (sp?) to that community which is a large chunk 
of developers, including my own work environment. I would love to switch 
from ClearCase to git but there are issues. One of them is integration 
with the Windows environment.

Another concern is performance penalty of using non-native calls under 
Windows and that is one of the problems that I was hoping the using APR 
would solve. I figure if it is good enough to support the network stuff 
under Windows well maybe it would be good for git too.

Paul Franz

Johannes Schindelin wrote:
> Hi,
>
> On Thu, 28 Feb 2008, Paul Franz wrote:
>
>   
>> Do you think it would be possible to change git to use Apache's apr 
>> library?
>>     
>
> Possible?  Yes.
>
> Sensible?  That's another issue.  For one, we already rely on a pretty 
> good POSIX shell support.  That is not something helped by APR.
>
> So if we already need a POSIX shell, we might just as well rely on a 
> (kind of) POSIX environment.
>
> Besides, I cannot say that I found compiling APR in msysGit _easy_.
>
> So if there are as many disadvantages as I suspect, and as few advantages, 
> as I suspect, too, I think it would be a waste of time to bother to port 
> Git to APR.
>
> Besides, I think there are -- again, as always when things seem to be only 
> fun -- legal issues.  I do not know the details, but there are people who 
> say that APL is incompatible with GPL (v2).
>
> Not that I care too much about those bastards who devised licenses just to 
> make my life miserable.  But them lawyer types have ways to _make_ my 
> life miserable.  So I avoid those kind of problems.  I guess you could 
> call this "collateral legal damage".
>
> Ciao,
> Dscho
>
>
>   

-- 

-------------------------------------------

There are seven sins in the world.
     Wealth without work.
     Pleasure without conscience.
     Knowledge without character.
     Commerce without morality.
     Science without humanity.
     Worship without sacrifice.
     Politics without principle.

   -- Mohandas Gandhi

-------------------------------------------